Name:           obs-studio
Version:        0.13.4
Release:        4%{?dist}
Summary:        Open Broadcaster Software Studio

License:        GPLv2+ 
URL:            https://obsproject.com/
Source0:        https://github.com/jp9000/obs-studio/archive/%{name}-%{version}.tar.gz

%define systemd %{nil}
%if 0%{?rhel}%{?fedora}
  %if 0%{?rhel}
    %if 0%{?rhel} >= 7
      %define systemd 1
    %endif
  %else #%if 0%{?fedora}
    %if 0%{?fedora} >= 18
      %define systemd 1
    %endif
  %endif
%else
  %if 0%{?suse_version}
    %if 0%{?suse_version} >= 1140
      %define systemd 1
    %endif
  %endif
%endif

%define cmake3 %{nil}
%if 0%{?rhel}%{?fedora}
  %if 0%{?rhel}
    %if 0%{?rhel} <= 7
      %define cmake3 1
    %endif
  %else #%if 0%{?fedora}
    %if 0%{?fedora} <= 18
      %define cmake3 1
    %endif
  %endif
%endif

#BuildRequires:  cmake >= 2.8.12
%if 0%{?cmake3}
BuildRequires:  cmake3 >= 3.0
%else
BuildRequires:  cmake >= 2.8.12
%endif

BuildRequires:  ffmpeg-devel
BuildRequires:  fontconfig-devel
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  gcc-objc
BuildRequires:  hicolor-icon-theme
BuildRequires:	libcurl-devel
BuildRequires:  libv4l-devel
BuildRequires:  libXcomposite-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXrandr-devel

%if 0%{?rhel}%{?fedora}
BuildRequires:  desktop-file-utils

BuildRequires:  mesa-libGL-devel
BuildRequires:  libX11-devel

BuildRequires:  freetype-devel
BuildRequires:  jansson-devel
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  qt5-qtbase-devel >= 5.3
BuildRequires:  qt5-qtx11extras-devel >= 5.3
BuildRequires:  x264-devel

BuildRequires:  jack-audio-connection-kit-devel
%else
  %if 0%{?suse_version}
BuildRequires:  freetype2-devel
BuildRequires:  libjansson-devel
BuildRequires:  libpulse-devel
BuildRequires:  libqt5-qtbase-devel >= 5.3
BuildRequires:  libqt5-qtx11extras-devel >= 5.3
BuildRequires:  libx264-devel

BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(jack)
  %endif
%endif

%if 0%{?systemd}
BuildRequires:       systemd-devel
%else
BuildRequires:       libudev-devel
%endif

Requires:       ffmpeg

%if 0%{?rhel}%{?fedora}
Requires:       x264
%else
  %if 0%{?suse_version}
Requires:       libx264
  %endif
%endif

%if 0%{?systemd}
Requires:       systemd-libs
%else
Requires:       libudev
%endif

%description
Open Broadcaster Software is free and open source software for video recording and live streaming.


%prep
%setup -q

%build
#cmake -DOBS_VERSION_OVERRIDE=%{version}
%if 0%{?cmake3}
cmake3 -DOBS_VERSION_OVERRIDE=%{version} -DUNIX_STRUCTURE=1 -DCMAKE_INSTALL_PREFIX=/usr
%else
%cmake -DOBS_VERSION_OVERRIDE=%{version} -DUNIX_STRUCTURE=1 -DCMAKE_INSTALL_PREFIX=/usr
%endif

make %{?_smp_mflags}

%install
%make_install
desktop-file-validate %{buildroot}%{_datadir}/applications/obs.desktop

%ifarch x86_64
mkdir -p %{buildroot}%{_libdir}/obs-plugins
mv %{buildroot}/usr/lib/libobs*.so* %{buildroot}%{_libdir}
%endif

%post
/sbin/ldconfig
update-desktop-database >&/dev/null || :
touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :

%postun
/sbin/ldconfig
update-desktop-database >&/dev/null || :
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :

%files
   %{_bindir}/obs
   %{_prefix}/lib/cmake/LibObs
   %{_libdir}/libobs-opengl.so.0
   %{_libdir}/libobs-opengl.so.0.0
   %{_libdir}/libobs.so.0
   %{_libdir}/libobsglad.so.0
   %{_prefix}/lib/obs-plugins
   %{_datadir}/applications/obs.desktop
   %{_datadir}/icons/hicolor/256x256/apps/obs.png
   %{_datadir}/obs
%doc README COPYING

%package devel
Summary:        Open Broadcaster Software Studio header files
Requires:       %{name} = %{version}-%{release}

%description devel
Header files for Open Broadcaster Software

%files devel
   %{_includedir}/obs
   %{_libdir}/libobs.so
   %{_libdir}/libobs-opengl.so
   %{_libdir}/libobsglad.so

%changelog
* Thu Apr 7 2016 Tomasz Tomasik <scx.mail@gmail.com> - 0.13.4-4
- Updated to 13.4

* Thu Apr 7 2016 Tomasz Tomasik <scx.mail@gmail.com> - 0.12.0-3
- Fixed requirements
- Change installation prefix from /usr/local to /usr
- Added support for EL7
- Added changes for (open)SUSE
- Built for EL7

* Sun Nov 15 2015 Joe Brouhard <joe@tech-3.net> 0.12.0-2
- Built for Fedora 23

* Fri Oct 16 2015 Joe Brouhard <joe@tech-3.net> 0.12.0-2
- SPEC file fixed to remove %{epoch} that was depreciated some time ago

* Wed Sep 23 2015 Joe Brouhard <joe@tech-3.net> 0.12.0
- Version bump to 0.12.0
- Full changelog can be found at https://github.com/jp9000/obs-studio/releases/tag/0.12.0

* Sat Aug 1 2015 Joe Brouhard <joe@tech-3.net> 0.11.2-2
- Fixed cmake flags to force OBS versioning to match the downloaded sources

* Mon Jul 27 2015 Joe Brouhard <joe@tech-3.net> 0.11.2
- 0.11.2 Update
- Fixed crash with blackmagic source
- Fixed bug with custom server RTMP authentication not working correctly
- Updated ingests

* Fri Jul 24 2015 Joe Brouhard <joe@tech-3.net> 0.11.1
- bumped .spec file up to 0.11.1 as an update

* Thu Mar 26 2015 Momcilo Medic <fedorauser@fedoraproject.org>
- 0.9.0-1
- Initial .spec file
